part of mapmyindia_gl;

class MapmyIndiaWhitelist {
  final String userHandle;
  final String refLocation;
  final String otp;

  MapmyIndiaWhitelist(
      {required this.userHandle, required this.otp, required this.refLocation});

  toJson() => <String, dynamic>{
    "userHandle": this.userHandle,
    "refLocation": this.refLocation,
    "otp": this.otp,
  };

  Future<void> generateOtp() async {
    try {
      return await restApi.whitelist(toJson());
    } on PlatformException catch (e) {
      return Future.error(e);
    }
  }
}
