part of mapmyindia_gl;

class MapmyIndiaAccountManager {
  static Future<void> setRestAPIKey(String restAPIKey) async {
    try {
      await keys.setRestAPIKey(restAPIKey);
    } catch (err) {
//err
    }
  }

  static Future<void> setMapSDKKey(String mapSDKKey) async {
    try {
      await keys.setMapSDKKey(mapSDKKey);
    } catch (err) {
//err
    }
  }

  static Future<void> setAtlasClientId(String atlasClientId) async {
    try {
      await keys.setAtlasClientId(atlasClientId);
    } catch (err) {
//err
    }
  }

  static Future<void> setAtlasClientSecret(String atlasClientSecret) async {
    try {
      await keys.setAtlasClientSecret(atlasClientSecret);
    } catch (err) {
//err
    }
  }


  static Future<String?> getRestAPIKey() async {
    try {
      return await keys.getRestAPIKey();
    } catch (ex) {}
  }

  static Future<String?> getAtlasClientId() async {
    try {
      return await keys.getAtlasClientId();
    } catch (ex) {}
  }

  static Future<String?> getAtlasClientSecret() async {
    try {
      return await keys.getAtlasClientSecret();
    } catch (ex) {}
  }


  static Future<String?> getMapSDKKey() async {
    try {
      return await keys.getMapSDKKey();
    } catch (ex) {}
  }

  static Future<void> setClusterId(String? clusterId, {String? deviceAlias}) async {
    try {
      await keys.setClusterId(clusterId, deviceAlias: deviceAlias);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<String?> getClusterId() async {
    try {
      return await keys.getClusterId();
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<String?> getDeviceAlias() async {
    try {
      return await keys.getDeviceAlias();
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<void> setRegion(String? region) async {
    try {
      await keys.setRegion(region);
    } catch(ex) {
      Future.error(ex);
    }
  }

  static Future<String?> getRegion() async {
    try {
      return await keys.getRegion();
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<void> setAssociationId(String? associationId) async {
    try {
      await keys.setAssociationId(associationId);
    } catch(ex) {
      Future.error(ex);
    }
  }

  static Future<String?> getAssociationId() async {
    try {
      return await keys.getAssociationId();
    } catch (ex) {
      Future.error(ex);
    }
  }
}
