part of mapmyindia_gl;

class MapmyIndiaMapConfiguration {
  static Future<void> setShowLastSelectedStyle(
      bool showLastSelectedStyle) async {
    try {
      await keys.setShowLastSelectedStyle(showLastSelectedStyle);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<bool> isShowLastSelectedStyle() async {
    try {
      return await keys.isShowLastSelectedStyle();
    } catch (ex) {
      return true;
    }
  }

  static Future<void> setDeveloperShowingSplash(
      bool developerShowingSplash) async {
    try {
      await keys.setDeveloperShowingSplash(developerShowingSplash);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<bool> isDeveloperShowingSplash() async {
    try {
      return await keys.isDeveloperShowingSplash();
    } catch (ex) {
      return true;
    }
  }
}
