part of mapmyindia_gl;

class MapmyIndiaHateOsNearby {

  final String hyperlink;
  MapmyIndiaHateOsNearby(this.hyperlink);

  Map<String, dynamic> toMap() {
    final Map<String, dynamic> optionsMap = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        optionsMap[fieldName] = value;
      }
    }

    addIfNonNull('hyperlink', hyperlink);

    return optionsMap;
  }



  Future<NearbyResponse?> callNearby() async {
    try {
      String? result = await restApi.hateOsNearby(toMap());
      print(result);
      return result != null
          ? NearbyResponse.fromMap(json.decode(result))
          : null;
    } on PlatformException catch (e) {
      return Future.error(e);
    }
  }
}